Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.util.cdk
Class MethodExpressionToMethodBinding

    java.lang.Object
      javax.faces.el.MethodBinding
          org.jboss.seam.ui.util.cdk.MethodExpressionToMethodBinding

All Implemented Interfaces:
  javax.faces.component.StateHolder

Deprecated.

    @Deprecated
    public class MethodExpressionToMethodBinding

extends javax.faces.el.MethodBinding
implements javax.faces.component.StateHolder

Converts a MethodExpression to a MethodBinding. See JSF 1.2 spec section 5.8.4

Author:
  Stan Silvert, Pete Muir

Constructor Summary
`MethodExpressionToMethodBinding()` Deprecated.
`MethodExpressionToMethodBinding(javax.el.MethodExpression methodExpression)` Deprecated. Creates a new instance of MethodExpressionToMethodBinding

Method Summary
`String` | `getExpressionString()` Deprecated.
`Class` | `getType(javax.faces.context.FacesContext facesContext)` Deprecated.
`Object` | `invoke(javax.faces.context.FacesContext facesContext, Object[] params)` Deprecated.
`boolean` | `isTransient()` Deprecated.
`void` | `restoreState(javax.faces.context.FacesContext context, Object state)` Deprecated.
`Object` | `saveState(javax.faces.context.FacesContext context)` Deprecated.
`void` | `setTransient(boolean newTransientValue)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodExpressionToMethodBinding

    public MethodExpressionToMethodBinding()

  Deprecated.

### MethodExpressionToMethodBinding

    public MethodExpressionToMethodBinding(javax.el.MethodExpression methodExpression)

  Deprecated.
  Creates a new instance of MethodExpressionToMethodBinding

Method Detail

### getExpressionString

    public String getExpressionString()

  Deprecated.
  Overrides:
    `getExpressionString` in class `javax.faces.el.MethodBinding`

### getType

    public Class getType(javax.faces.context.FacesContext facesContext)
                  throws javax.faces.el.MethodNotFoundException

  Deprecated.
  Specified by:
    `getType` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.MethodNotFoundException`

### invoke

    public Object invoke(javax.faces.context.FacesContext facesContext,
                         Object[] params)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.MethodNotFoundException

  Deprecated.
  Specified by:
    `invoke` in class `javax.faces.el.MethodBinding`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.MethodNotFoundException`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             Object state)

  Deprecated.
  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public Object saveState(javax.faces.context.FacesContext context)

  Deprecated.
  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Deprecated.
  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Deprecated.
  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.